import type { Root } from "mdast";
export type CodeMeta = {
    filename?: string;
    highlightedLines: Set<number>;
    showLineNumbers: boolean;
};
export declare function parseCodeMeta(meta?: string): CodeMeta;
export declare function remarkCodeMeta(): (tree: Root) => void;
